### Function Macro

# GLib test_assert_expected_messages

since: 2.34

#### Declaration

    #define g_test_assert_expected_messages (
      void
    )

#### Description

Asserts that all messages previously indicated via `g_test_expect_message()` have been seen and suppressed.

This API may only be used with the old logging API (`g_log()` without `G_LOG_USE_STRUCTURED` defined). It will not work with the structured logging API. See Testing for Messages.

If messages at `GLogLevelFlags` are emitted, but not explicitly expected via `g_test_expect_message()` then they will be ignored.

Available since: 2.34

This function is not directly available to language bindings.